Subject: Re: [netatalk-admins] Problems using CD's through netatalk..

From: Marc Heckmann <[email-masked]>
Date: Mon, 6 Oct 1997 23:46:37 -0400 (EDT)

On Tue, 7 Oct 1997, Alistair Riddell wrote:

> What mount options are you using for the afpd fs module? IIRR the wrong
> options can cause behaviour like this.

I'm simply using ro, afpd and user (in the /etc/fstab) as mount options... 
Do you think that this may be causing the behaviour? BTW, the problem is
the same with 1.3.3 and 1.4.2 ...

	Marc
> 
> On Mon, 6 Oct 1997, Marc Heckmann wrote:
> 
> > Hi all,
> > 
> > 	I'm running a cdrom-tower on a RedHat Linux system. Mac clients
> > can access it via netatalk (combined with the hfs kernel module for hfs
> > CD's). The Mac's can read the CD's fine, but when I try to run an
> > application off the CD such as an install script, the Mac client return's
> > an error which state's that there is not enough memory to run the
> > application, when this is completly false and the application runs fine
> > when the CD is in the local CDrom drive. The problem is on all the Mac's  
> > in my environment (system 7.5.3 - 8.0). Because of this, netatalk is
> > useless to me right now. Does anyone have any ideas? 
> > Thanks in advance.
> > 
> > 	Marc
> > 
> > 
> > 
> > 
> 
> --
> Alistair Riddell - BOFH
> IT Support Department, George Watson's College, Edinburgh
> Tel: +44 131 447 7931 Ext 176       Fax: +44 131 452 8594
>

---

From: Marc Heckmann <[email-masked]>
Date: Tue, 21 Oct 1997 13:10:15 -0400 (EDT)

> options can cause behaviour like this.

Hi , 

	I know it's been a while since I posted this question. I'm using 
"mount /dev/scd1 -t hfs -o ro -o afpd /cd1". Is that Ok? Thanks.

	MArc

---

From: Marc Heckmann <[email-masked]>
Date: Tue, 21 Oct 1997 19:13:01 -0400 (EDT)

Hi,
	
	What's the advantage of the Asun patch?? (excuse my ignorance)
Other then that I noticed that the CD was mounted "noexec" (I did not
set that in my options, it's strange) do you think that would cause such
behaviour with afpd. I haven't had time to test it yet. Thanks.

	Marc